if status is-interactive
    # Commands to run in interactive sessions can go here
end

set fish_greeting			# Supresses fish's intro message
set TERM "xterm-256color"	# Defines th terminal type



#####################
### VISUALS BEGIN ###
#####################
set fish_color_normal brcyan
set fish_color_autosuggestion '#7d7d7d'
set fish_color_command brcyan
set fish_color_error '#ff6c6b'
set fish_color_param brcyan

#####################
### VISUALS END   ###
#####################

# Changing "ls" to "exa"
alias ls='exa --color=always --group-directories-first' # my preferred listing
alias lsl='exa -al --color=always --group-directories-first' # my preferred listing
alias la='exa -a --color=always --group-directories-first'  # all files and dirs
alias ll='exa -l --color=always --group-directories-first'  # long format
alias lt='exa -aT --color=always --group-directories-first' # tree listing
alias l.='exa -a | egrep "^\."'

# navigation
alias ..='cd ..'
alias ...='cd ../..'

#adding flags
alias df='df -h'                          # human-readable sizes
alias free='free -m'                      # show sizes in MB

#aliseption
alias alias_edit='vim ~/.config/fish/config.fish'
alias alias_activate='source ~/.config/fish/config.fish'

#####################
### ALIASES END   ###
#####################
